Package commoble.useitemonblockevent.api

# Enum Class UseItemOnBlockEvent.UsePhase

java.lang.Object
java.lang.Enum<UseItemOnBlockEvent.UsePhase>
commoble.useitemonblockevent.api.UseItemOnBlockEvent.UsePhase

All Implemented Interfaces:
  `Serializable`, `Comparable<UseItemOnBlockEvent.UsePhase>`, `Constable`

Enclosing class:
  UseItemOnBlockEvent

public static enum UseItemOnBlockEvent.UsePhase extends Enum<UseItemOnBlockEvent.UsePhase>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLOCK`
The block's right-click-block interaction.
`POST_BLOCK`
The item's standard use-item-on-block interaction.
`PRE_BLOCK`
The item's pre-block use-item-on-block interaction (this is a forge extension and not used by vanilla items).

## Method Summary

Modifier and Type
Method
Description
`static UseItemOnBlockEvent.UsePhase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UseItemOnBlockEvent.UsePhase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PRE_BLOCK

public static final UseItemOnBlockEvent.UsePhase PRE_BLOCK
The item's pre-block use-item-on-block interaction (this is a forge extension and not used by vanilla items). This is noop/PASS for most items but some mods' items have interactions here.

### BLOCK

public static final UseItemOnBlockEvent.UsePhase BLOCK
The block's right-click-block interaction. Skipped if the player is sneaking and holding an item that skips the block while sneaking (most items).

### POST_BLOCK

public static final UseItemOnBlockEvent.UsePhase POST_BLOCK
The item's standard use-item-on-block interaction.

## Method Details

### values

public static UseItemOnBlockEvent.UsePhase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UseItemOnBlockEvent.UsePhase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null